Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

## Enum ChequeDelivery1Code

- java.lang.Object
- - java.lang.Enum<ChequeDelivery1Code>
  - - org.kapott.hbci.sepa.jaxb.pain_001_001_11.ChequeDelivery1Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ChequeDelivery1Code>`

    public enum ChequeDelivery1Code
    extends java.lang.Enum<ChequeDelivery1Code>

Java class for ChequeDelivery1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ChequeDelivery1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MLDB"/>
         <enumeration value="MLCD"/>
         <enumeration value="MLFA"/>
         <enumeration value="CRDB"/>
         <enumeration value="CRCD"/>
         <enumeration value="CRFA"/>
         <enumeration value="PUDB"/>
         <enumeration value="PUCD"/>
         <enumeration value="PUFA"/>
         <enumeration value="RGDB"/>
         <enumeration value="RGCD"/>
         <enumeration value="RGFA"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`CRCD`
`CRDB`
`CRFA`
`MLCD`
`MLDB`
`MLFA`
`PUCD`
`PUDB`
`PUFA`
`RGCD`
`RGDB`
`RGFA`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ChequeDelivery1Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static ChequeDelivery1Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChequeDelivery1Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MLDB

    public static final ChequeDelivery1Code MLDB

#### MLCD

    public static final ChequeDelivery1Code MLCD

#### MLFA

    public static final ChequeDelivery1Code MLFA

#### CRDB

    public static final ChequeDelivery1Code CRDB

#### CRCD

    public static final ChequeDelivery1Code CRCD

#### CRFA

    public static final ChequeDelivery1Code CRFA

#### PUDB

    public static final ChequeDelivery1Code PUDB

#### PUCD

    public static final ChequeDelivery1Code PUCD

#### PUFA

    public static final ChequeDelivery1Code PUFA

#### RGDB

    public static final ChequeDelivery1Code RGDB

#### RGCD

    public static final ChequeDelivery1Code RGCD

#### RGFA

    public static final ChequeDelivery1Code RGFA

### Method Detail

#### values

    public static ChequeDelivery1Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ChequeDelivery1Code c : ChequeDelivery1Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ChequeDelivery1Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static ChequeDelivery1Code fromValue​(java.lang.String v)